org.eclipse.wst.jsdt.core

## Interface IElementChangedListener

    public interface IElementChangedListener

An element changed listener receives notification of changes to JavaScript elements maintained by the JavaScript model.

This interface may be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `elementChanged(ElementChangedEvent event)` Notifies that one or more attributes of one or more JavaScript elements have changed.

### Method Detail

#### elementChanged

    void elementChanged(ElementChangedEvent event)

Notifies that one or more attributes of one or more JavaScript elements have changed. The specific details of the change are described by the given event.

Parameters:
  `event` - the change event